<div *ngIf="!flow_child.is_expand" class="row mb-1">
    <!-- <div class="col-sm-4 ml-4"></div> -->
    <div class="col-sm-9 pr-0" style="margin-left: 0%;">
        <div class="card border-0 box-shadow-none border-radius-10 bg-transparent"
             style="margin-left: 3.7rem;margin-right: 0.3rem; background-color: transparent;">
            <div (click)="toggle_entity();"
                 class="CardList card-header collapsed-card-border d-flex pr-0 align-items-center card-shadow bg-white  border-radius-10 cursor">
                <div class="card-header-title dashboard-tile-title cursor custom-mouseover" style="font-size: 18px;">
                    <span class="mr-2"><i *ngIf="!is_fullscreen_view" class="las la-angle-right f-20"></i></span>
                    <span *ngIf="!is_fullscreen_view" class="dashboard-tile-title fw-400">{{flow_child.title}}</span>
                    <span *ngIf="is_fullscreen_view" class="dashboard-tile-title fw-400"><span class="group_name" *ngIf="flow_group.childs.length > 1 && flow_child?.group_name != null">{{flow_child.group_name}} - </span>{{flow_child.title}}</span>
                    </div>
                <div class="ml-auto btn-group btn-group-xs btn-group-toggle  mr-2">
                    <div class="ml-1">
                        <!-- <button  class="btn p-1   " >
                         <i  class="las la-ellipsis-v f-20 " style="cursor: default;"></i>
                        </button> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-3 pt-4">
        <!-- //right side title for some content  -->
        <p class="f-14"></p>
    </div>
</div>
<div class="col-md-9 position-relative" *ngIf="flow_child.is_expand">
    <div class="connecting_line_top_expand"
         style="position: absolute;bottom:-75px; right:25px;width:2px;background: #C4C4C4;height: 120px;"></div>
</div>
<div class="col-md-9 position-relative" *ngIf="!flow_child.is_expand">
    <div class="connecting_line_top_collapsed"
         style="position: absolute;bottom:-75px; right:25px;width:2px;background:#C4C4C4;height: 120px;"></div>
</div>
<div *blockUI="blockUIName;  template: blockTemplate" class="custom-bg-block-ui">
    <div id="flow_container" [hidden]="!flow_child.is_expand" class="row ml-0 mr-0 flow_container fullscreen_{{is_fullscreen_view}}"
         (scroll)="onScroll($event)"
         style="flex-wrap: unset;min-height:400px;padding-left: 3rem;;overflow-x: auto;overflow-y: hidden;padding-bottom: 20px;">
        <!-- <div style="position: absolute; height:510px;background-image:linear-gradient(to right, rgba(246, 246, 246,1),rgba(246, 246, 246,0));left:0;width:70px;z-index: 1087;"></div>
        <div style="position: absolute; height:510px;background-image: linear-gradient(to right, rgba(246, 246, 246,0),rgba(246, 246, 246,1));right:0;width:70px;z-index: 1087;"></div>
         -->
        <div [ngClass]="{'view_chart_opacity':view_type !== null}"
             style="position: absolute; height:520px;background-image:linear-gradient(to right, rgba(246, 246, 246,1),rgba(246, 246, 246,0));left:0;width:70px;z-index: 1087;">
             <div>
                <app-hint [id]="'slide-card'" *ngIf="flow_index == 0 && scroll_position.active!='left'"></app-hint>
                <div *ngIf="scroll_position.active!='left'" (click)="scroll_flow('left')" class="slideLeft">
                    <!-- <i class="las la-angle-left" style="font-size: 20px;"></i> -->
                    <img src="../../../assets/imgs/LftArrow.svg">
                </div>
            </div>
        </div>
        <div [ngClass]="{'view_chart_opacity':view_type !== null}"
             style="position: absolute; height:520px;background-image: linear-gradient(to right, rgba(246, 246, 246,0),rgba(246, 246, 246,1));right:0;width:70px;z-index: 1087;">
            <div *ngIf="scroll_position.active=='left'" (click)="scroll_flow('center')" class="slideRight">
                <!-- <i class="las la-angle-right" style="font-size: 20px;"></i> -->
                <img src="../../../assets/imgs/LftArrow.svg">
            </div>
        </div>
        <div *ngIf="view_type_chart !== 'hide'" class="{{scroll_position.class}}"
             [ngClass]="{'view_chart_opacity':view_type === 'chart'}">
            <div class="card card-shadow flow-entity-popup border-radius-10" style="min-height: 487px;" id="sales_pivot_table">
                <div class="card-header with-elements pr-0 card-bb-color popupTable">
                    <!-- don't remove the popuptable css -->
                    <!-- if Only data visible -->
                    <div *ngIf="view_type === 'grid' " (click)="toggle_entity();" style="width: 84% !important;">
                        <div class="card-header-title dashboard-tile-title cursor ">
                            <span class="dashboard-tile-title fw-400">
                                <span class="mr-2">
                                    <i class="las la-angle-down f-20" *ngIf="!is_fullscreen_view"></i>
                                </span>
                                <span *ngIf="!is_fullscreen_view">{{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>
                                <span *ngIf="is_fullscreen_view"><span class="group_name" *ngIf="flow_group.childs.length > 1 && flow_child?.group_name != null">{{flow_child.group_name}} - </span>{{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>
                            </span>
                        </div>
                    </div>
                    <div *ngIf="view_type === null" style="width: 84% !important;">
                        <div class="card-header-title dashboard-tile-title cursor ">
                            <span *ngIf="!is_fullscreen_view" class="dashboard-tile-title fw-400">{{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>
                            <span *ngIf="is_fullscreen_view" class="dashboard-tile-title fw-400"><span class="group_name" *ngIf="flow_group.childs.length > 1 && flow_child?.group_name != null">{{flow_child.group_name}} - </span>{{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>
                        </div>
                    </div>

                    <div class="ml-auto btn-group btn-group-xs btn-group-toggle align-items-center mr-2">
                        <!-- <div class="btn-group btn-group-sm btn-group-toggle enginetab-bg">
                            <label class="btn btn-default cursor enginetab-active mx-0">Actual</label>
                            <label class="btn btn-default cursor enginetab-inactive mx-0">Weighted</label>
            
                          </div> -->
                        <div class="ml-1" *ngIf="!is_fullscreen_view">
                            <button class="btn p-1" [disabled]="no_data_found" ngbTooltip="View data in full screen" 
                                    placement="bottom" container="body" (click)="fullScreen('sales_pivot_table','table');">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="is_fullscreen_view">
                            <button class="btn p-1 pt-0" [disabled]="no_data_found" ngbTooltip="Close"
                                    placement="bottom" container="body" (click)="fullScreen('sales_pivot_table','table');">
                                <i class="ion-md-close f-20 custom-mouseover"></i></button>
                        </div>
                    </div>
                </div>
                <div class="card-body p-0" [hidden]="no_data_found">
                    <fm-pivot #flowpivotcontainer [width]="'100%'" [height]="'432px'" [toolbar]="true"
                              [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"
                              (beforetoolbarcreated)="customTableToolbar($event)" (loadingdata)="loadingData()"
                              (update)="onReportChange($event)"
                              (dataerror)="isDataError($event)"
                              (dataloaded)="isDataLoaded($event)"
                              [customizeContextMenu]="customizeFlexmonsterContextMenu.bind(this)"
                              [customizeCell]="customizeCellFunction.bind(this)">
                    </fm-pivot>
                </div>
                <!-- If no data found -->
                <div *ngIf="no_data_found === true" class="text-center nodata">
                    <span class="f-18 text-gray77">No data found</span>
                </div>
            </div>
        </div>
        <div class="col-sm-9" *ngIf="view_type === null || view_type === 'chart'">
            <div class="card card-shadow border-radius-10" style="min-height:487px;" id="sales_analysis_chart">
                <div class="card-header with-elements pr-0 align-items-center card-bb-color popupTable">
                    <app-hint [id]="'drag-cards'" *ngIf="flow_index == 0"></app-hint>
                    <div (click)="toggle_entity();"
                         class="card-header-title dashboard-tile-title cursor custom-mouseover"><span class="mr-2"><i
                            class="las la-angle-down f-20"></i></span><span
                            class="dashboard-tile-title fw-400">{{flow_child.title}}</span>
                        <!-- <span class="ml-2 v-middle"><i  class="las  la-question-circle f-20"></i></span> -->
                    </div>
                    <div class="ml-auto btn-group btn-group-xs btn-group-toggle align-items-center mr-2">
                        <!-- <div class="btn-group btn-group-sm btn-group-toggle enginetab-bg" *ngIf="custom_card_type!='center_grid'">
                            <label class="btn btn-default cursor enginetab-active mx-0">Actual</label>
                            <label class="btn btn-default cursor enginetab-inactive mx-0">Weighted</label>
            
                          </div> -->
                        <div *ngIf="custom_card_type!='center_grid' &&!is_fullscreen_view" class="ml-1">
                            <button class="btn p-1" [disabled]="no_data_found"
                                    ngbTooltip="View visualization in full screen" placement="bottom" container="body"
                                    (click)="fullScreen('sales_analysis_chart', 'flow_chart');isCustomActive('fullScreen')"
                                    [ngClass]="fullScreen == 'chartType' ? 'icon-active' : ''">
                                <i class="las la-expand f-20 custom-mouseover" ></i></button>
                        </div>
                        <div *ngIf="custom_card_type!='center_grid' &&is_fullscreen_view" class="ml-1">
                            <button class="btn p-1 pt-0" [disabled]="no_data_found"
                                    ngbTooltip="Close" placement="bottom" container="body"
                                    (click)="fullScreen('sales_analysis_chart', 'flow_chart');isCustomActive('fullScreen')"
                                    [ngClass]="fullScreen == 'chartType' ? 'icon-active' : ''">
                                <i class="ion-md-close f-20 custom-mouseover"></i></button>
                        </div>
                        <div *ngIf="custom_card_type=='center_grid' &&!is_fullscreen_view" class="ml-1">
                            <button class="btn p-1" [disabled]="no_data_found" ngbTooltip="View data in full screen" placement="bottom"
                                container="body" (click)="fullScreen('sales_analysis_chart','table');">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                        <div *ngIf="custom_card_type=='center_grid' &&is_fullscreen_view" class="ml-1">
                            <button class="btn p-1 pt-0" [disabled]="no_data_found" ngbTooltip="Close" placement="bottom"
                                container="body" (click)="fullScreen('sales_analysis_chart','table');">
                                <i class="ion-md-close f-20 custom-mouseover"></i></button>
                        </div>

                    </div>
                </div>
                <div *ngIf="custom_card_type=='growth_card'">
                    <ng-container *ngTemplateOutlet="growth_card"></ng-container>
                </div>
                <div *ngIf="custom_card_type == 'center_grid'">
                    <div class="card-body p-0" [hidden]="no_data_found">
                        <fm-pivot #centerpivot [width]="'100%'" [height]="'432px'" [toolbar]="true"
                            [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"
                            (beforetoolbarcreated)="customTableToolbar($event)" (loadingdata)="loadingData()"
                            (update)="onCustomReportChange($event)" (dataerror)="isDataError($event)" (dataloaded)="isDataLoaded($event)"
                            [customizeContextMenu]="customizeFlexmonsterContextMenu.bind(this)"
                            [customizeCell]="customizeCellFunction.bind(this)">
                        </fm-pivot>
                    </div>
                </div>
                <div *ngIf="!custom_card_type" class="card-body pb-0 px-0"
                     [ngClass]="selected_chart_type=='map'?'pt-0':''">
                    <div class="d-flex h-100" *ngIf="!no_data_found" id="{{flowchart_id+'_card'}}">
                        <button class="map-reset " [ngClass]="is_fullscreen_view?'map-reset-fullscreen':'map-reset'"
                                (click)="leafletService.resetMapZoom()" title="Reset View"
                                *ngIf="leafletService.isZoomed && selected_chart_type=='map' && map_data.length>1"><i
                                class="fas fa-redo-alt f-10 "></i></button>
                        <div id="{{flowchart_id}}" class="hc_div p-0 w-100 " style="border-bottom-left-radius: 9px;"
                             [ngClass]="selected_chart_type=='map' ? 'col-sm-10 map_chart default-chart-color':'col-sm-12'">
                        </div>
                        <div *ngIf="selected_chart_type=='map' && map_data.length>1"
                             class="col-md-2  hx-pro-px-_2" [perfectScrollbar] [ngClass]="is_fullscreen_view ?'flow_cardbody_fullscreen' : 'flow_cardbody'"
                             (psYReachStart)="scroll_config.scroll_start=true;">
                            <ng-container *ngFor="let sub_data of map_data;">
                                <div (click)="format_custom_mapdata(sub_data)" class="mb-3 daily-data-tab"
                                     [ngClass]="selected_map.current_name == sub_data.current_name?'active':''">
                                    <div class="card-body p-3">
                                        <div class="align-items-center">
                                            <div class="f-16 fw-700">{{sub_data.current_name}}</div>
                                            <div class="f-14 gray text-muted">{{sub_data.current_value}}</div>
                                            <div [ngClass]="sub_data.py_value_original<0?'clr-2':'clr-1'"
                                                 style="border-bottom: none !important;">
                                                <div class="f-14 stock_value">{{sub_data.py_value}}
                                                    <i *ngIf="sub_data.py_value_original<0"
                                                       class="fas fa-caret-down down"
                                                       style="justify-content: center;margin-left:10px;"></i>
                                                    <i *ngIf="sub_data.py_value_original>0" class="fas fa-caret-up up"
                                                       style="justify-content: center;margin-left:10px;"></i>
                                                </div>
                                            </div>
                                            <div class="f-14 gray text-muted">{{sub_data.py_name}}</div>
                                        </div>
                                    </div>
                                </div>
                            </ng-container>
                            <div style="height:75px"></div>
                        </div>
                        <div *ngIf="scroll_config.scroll_start" [ngClass]="is_fullscreen_view ?'d-none':''"
                             style="position: absolute;bottom: 0px;height: 75px;right: 20px;width: 15%;background: linear-gradient(#ffffff00,#ffffff);"
                             >
                            <div style="position: absolute;bottom: 0;opacity: 0.6;"
                                 class="text-center align-items-center w-100"><i
                                    class="ion ion-ios-arrow-down f-16"></i>
                            </div>
                        </div>
                    </div>
                    <!-- If no data found -->
                    <div *ngIf="no_data_found === true" class="text-center nodata">
                        <span class="f-18 text-gray77">No data found</span>
                    </div>
                </div>

            </div>
            <!--start  help info -->
            <div class="d-flex slideDiv" [@slideInOut]="animationState" style="background-color: #E9E9E9 !important;">
            </div>
            <!-- End help info     -->
        </div>
        <div class="col-sm-3">
            <app-hint [id]="'summary'" *ngIf="flow_index == 0"></app-hint>
            <ngb-tabset class="nav-tabs-top flowtab">
                <ngb-tab *ngFor="let tab of flow_child?.tabs">
                    <ng-template ngbTabTitle>
                        <span class="tab-title text-capitalize">{{tab.name}}</span>
                    </ng-template>
                    <ng-template ngbTabContent>
                        <div class="card-body pl-0 flow_cardbody" [perfectScrollbar]>
                            <div class="f-14" [innerHTML]='tab.description | safeHtml'></div>
                        </div>
                    </ng-template>
                </ngb-tab>
            </ngb-tabset>
            <!-- <div style="min-height: 487px;" *ngIf="!flow_child.edit_content"></div> -->
        </div>
    </div>
    <div class="row switching-tab-mt" *ngIf="flow_child.is_expand">

        <div class="col-sm-9 ml-5">
            <!-- start switch icons -->
            <div class="mx-auto text-center switch-tab-height">
                <div>


                    <span class="ml-1" *ngIf="view_type !== 'chart'">
                        <button class="btn p-1" (click)="scroll_flow('left')">
                            <app-hint [id]="'data-view'" *ngIf="flow_index == 0" (click)="$event.stopPropagation()"></app-hint>
                           <div>
                            <i class="fas fa-circle f-5 border-100"
                               [ngClass]="view_type === 'grid' || scroll_position.active=='left'?'blue-dot':'gray-dot'">
                           </i>
                           </div>
                            <i class="las la-table f-20"
                               [ngClass]="view_type === 'grid' || scroll_position.active=='left'?'':'gray-text'"
                               ngbTooltip="Data View" placement="bottom" container="body"></i>
                        </button>
                    </span>

                    <span class="ml-1" *ngIf="view_type !== 'grid'">
                        <button class="btn p-1" (click)="scroll_flow('center')">
                            <!-- <app-hint [id]="'data-view'"></app-hint> -->
                            <div>
                                <i class="fas fa-circle f-5 border-100 blue-dot">
                                </i>
                            </div>
                            <i *ngIf="custom_card_type!='center_grid'" class="las la-chart-bar f-20" ngbTooltip="Visualization" placement="bottom"
                               container="body"></i>
                            <i *ngIf="custom_card_type=='center_grid'" class="las la-table f-20"
                                ngbTooltip="Data View" placement="bottom" container="body"></i>
                        </button>
                    </span>
                    <span class="ml-1">
                        <button class="btn p-1" (click)="scroll_flow('right')">
                            <div>
                                <i class="fas fa-circle f-5 border-100"
                                   [ngClass]="view_type === 'chart' || view_type === 'grid' || scroll_position.active=='right' || scroll_position.active=='center' ? 'blue-dot':'gray-dot'">
                            </i>
                            </div>
                           <div>
                            <i class="las la-lightbulb f-20" ngbTooltip="Insights" placement="bottom" container="body"
                               [ngClass]="view_type === 'chart' || view_type === 'grid' || scroll_position.active=='right' || scroll_position.active=='center' ?'':'gray-text'"></i>
                    
                           </div>
                            </button>
                    </span>
                </div>
            </div>
            <!-- end switch icons -->
        </div>
        <div class="col-md-3"></div>
    </div>
</div>

<ng-template #chart_modal let-c="close" let-d="dismiss">
    <chart-modal [selected_chart_type]="selected_chart_type" (chart_event)="chart_callback($event)"></chart-modal>
</ng-template>

<!-- end edit model -->
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s">
                        </animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>
<!-- start auto heat map model -->
<ng-template #autoHeatMap let-c="close" let-d="dismiss">
    <heatmap [heatmap_config]="grid_config.heatmap" (heatmap_event)="heatmap_callback($event)"></heatmap>
</ng-template>
<!-- End auto heat map model -->

<!-- start heatmap_confirm -->
<ng-template #heatmap_confirm let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h2 class="modal-title confirm-dialog"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>
            <span class="font-weight-light">Confirmation</span>
        </h2>
        <button type="button" class="close" (click)="d('Cross click')">&times;</button>
    </div>
    <div class="modal-body">
        <div class="row no-gutters">
            <div class="col-md-12 text-center ">
                <label class="f-14 mb-0">You already have existing conditional formatting defined. Turning on Auto
                    Heatmap</label>
                <label class="f-14 "> will override existing definitions. Would you like to proceed?</label>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="c('Close click');shareClear();">No</button>
        <button type="button" class="btn btn-primary btn-material" (click)="openHeatmapDialog(autoHeatMap)">Yes</button>
    </div>
</ng-template>
<!-- start conditional_confirm -->
<ng-template #conditional_confirm let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h2 class="modal-title confirm-dialog"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>
            <span class="font-weight-light">Confirmation</span>
        </h2>
        <button type="button" class="close" (click)="d('Cross click')">&times;</button>
    </div>
    <div class="modal-body">
        <div class="row no-gutters">
            <div class="col-md-12 text-center ">
                <label class="f-14 mb-0">You already have Auto Heatmap enabled. Turning on conditional
                    formatting</label>
                <label class="f-14 "> will override existing definitions. Would you like to proceed?</label>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="c('Close click');shareClear();">No</button>
        <button type="button" class="btn btn-primary btn-material" (click)="openConditionalFormattingDialog();">Yes
        </button>
    </div>
</ng-template>
<!-- End conditional_confirm -->
<!-- Growth Card Start-->
<ng-template #growth_card>
    <div class="row" id="{{flowchart_id+'_card'}}">
        <div class="col-sm-12 pt-4">
            <div class="d-flex">
                <div class="hc_div col-sm-4 px-4 default-chart-color">
                    <div id="growth_donut_1" style="height: 340px;">

                    </div>
                </div>
                <div class="hc_div col-sm-4  px-4 default-chart-color">
                    <div id="growth_donut_2" style="height: 340px;">

                    </div>
                </div>
                <div class="hc_div col-sm-4  px-4 default-chart-color">
                    <div id="growth_column_1" style="height: 340px;">

                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 py-3">
            <div class="d-flex  justify-content-center">
                <div *ngFor="let growth of custom_growth_legends.growth">
                    <div class="cursor d-flex mr-5" (click)="toggle_growth_legends(growth);"
                         [ngClass]="{'legend_inactive':!growth.active}">
                        <div class="circle align-self-center" [style.backgroundColor]="growth.color"></div>
                        <div class="name dashboard-tile-title align-items-center f-16 text-gray55 fw-500">{{growth.name}}</div>
                    </div>
                </div>
                <div class="cursor d-flex mr-2">
                    <div class="name dashboard-tile-title align-items-center f-16 text-gray55 fw-500">Declining due to</div>
                </div>
               
                <div *ngFor="let growth of custom_growth_legends.decline">
                    <div class="cursor d-flex mr-2" (click)="toggle_growth_legends(growth);"
                         [ngClass]="{'legend_inactive':!growth.active}">
                        <div class="circle align-self-center" [style.backgroundColor]="growth.color"></div>
                        <div class="name dashboard-tile-title align-items-center f-16 text-gray55 fw-500">{{growth.name}}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<!-- Growth Card End-->
